# $Revision: 1.7 $, $Date: 2010/11/13 00:20:37 $
Summary:	A Python wrapper for the GPGME library
Name:		python-pygpgme
Version:	0.1
Release:	6
License:	MIT
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/p/pygpgme/pygpgme-%{version}.tar.gz
# Source0-md5:	0878d866b6ee8a98a9003a81934ecee3
URL:		https://launchpad.net/products/pygpgme
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	gpgme-devel
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyGPGME is a Python module that lets you sign, verify, encrypt and
decrypt messages using the OpenPGP format.

%prep
%setup -q -n pygpgme-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/gpgme/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitedir}/gpgme
%attr(755,root,root) %{py_sitedir}/gpgme/_gpgme.so
%{py_sitedir}/gpgme/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitedir}/pygpgme-%{version}-py*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pygpgme.spec,v $
Revision 1.7  2010/11/13 00:20:37  pawelz
- release 6

Revision 1.6  2010/07/08 08:30:54  arekm
- release 5

Revision 1.5  2008/10/03 17:57:08  arekm
- release 4

Revision 1.4  2008-06-11 15:50:20  hawk
- release 3

Revision 1.3  2008-04-25 22:44:08  glen
- rel 2

Revision 1.2  2008-04-25 22:41:43  glen
- BR: gpgme-devel, py 2.4 compatible

Revision 1.1  2008-02-12 12:05:48  patrys
- initial release
